node jujuy {

    include di_netboot_assistant

    debproxy::activateclient { dist:
       debproxyhost => "debproxy-ubuntu",
    }

    include debproxy::server

    package {
        [ "puppetmaster"]: ensure => installed;
    }

    svn::checkout { chavez-preseed:
       repository => "https://svn.redcta.org.ar/proyectos/redcta/trunk/preseed",
       local_path => "/var/www",
       local_name => "preseed",
    }

    ltsp::buildclient { dist:
        mirror => "http://debproxy-ubuntu:3142/ar.archive.ubuntu.com/ubuntu",
        securitymirror => "http://debproxy-ubuntu:3142/security.ubuntu.com"
    }

    include ltsp::tftpdhpa::activate

    include ubuntu_sources_list

    include test_class
    include utile-cli

    include estacion-de-trabajo

    ubuntufirefox::startuppage { dist:
       startuppage => "http://www.cta.org.ar",
    }

    include ltsp::updateclient::piloto

}

node octubre {

#    include di_netboot_assistant
#    include debproxy::server

    include backup_rsnapshot
    file { "/etc/rsnapshot-che.conf":
        owner => root,
        group => root,
        mode => 644,
        source => "puppet:///files/guevara/rsnapshot-che.conf"
    }

    include utile-cli

    include ubuntu_sources_list

    debproxy::activateclient { dist:
       debproxyhost => "debproxy-ubuntu",
    }

    file { ["/backup"]:
      ensure => directory,
      owner => "root", group => "root", mode => "770"
    }

#    svn::checkout { chavez-preseed:
#       repository => "https://svn.redcta.org.ar/proyectos/redcta/trunk/preseed",
#       local_path => "/var/www",
#       local_name => "preseed",
#    }

#    include webapps-php

#    package {
#        [ "cups"]: ensure => installed;
#    }
#    package {
#        [ "sudo"]: ensure => installed;
#    }

}

node bolivar {

   include oo3_default_fileformat

   include di_netboot_assistant

    ltsp::buildclient { dist:
        mirror => "http://debproxy-ubuntu:3142/ar.archive.ubuntu.com/ubuntu",
        securitymirror => "http://debproxy-ubuntu:3142/security.ubuntu.com"
    }

    include ltsp::tftpdhpa::activate

    include ubuntu_sources_list

    include test_class
    include utile-cli

    include estacion-de-trabajo

    cronapt::mailon-mailto { dist:
       mailon => "upgrade",
       mailto => "security@localhost"
    }

    debproxy::activateclient { dist:
       debproxyhost => "debproxy-ubuntu",
    }

}

node chavez {
    include test_class

    include svn

    svn::checkout { chavez-preseed:
       repository => "https://svn.redcta.org.ar/proyectos/redcta/trunk/preseed",
       local_path => "/var/www",
       local_name => "preseed",
    }

    cronapt::mailon-mailto { dist:
       mailon => "upgrade",
       mailto => "security@localhost"
    }

    include debproxy::server

    include webapps-php

    include utile-cli

}

node guevara {
    include test_class
    include utile-cli

    include backup_rsnapshot
    file { "/etc/rsnapshot-che.conf":
        owner => root,
        group => root,
        mode => 644,
        source => "puppet:///files/guevara/rsnapshot-che.conf"
    }
    file { "/etc/rsnapshot-sedenacional.conf":
        owner => root,
        group => root,
        mode => 644,
        source => "puppet:///files/guevara/rsnapshot-sedenacional.conf"
    }

    debproxy::activateclient { dist:
       debproxyhost => "debproxy",
    }

    package {
         [ "util-vserver" ]: ensure => installed;
     }

    package {
	[ "cryptsetup"]: ensure => installed;
    }

    file { "/etc/crypttab":
        owner => root,
        group => root,
        mode => 644,
        source => "puppet:///files/guevara/crypttab"
    }

    file { ["/backup"]:
      ensure => directory,
      owner => "root", group => "root", mode => "770"
    }

    file { ["/backup/rsnapshot-che"]:
      ensure => directory,
      owner => "root", group => "root", mode => "755"
    }

    file { ["/backup/rsnapshot-sedenacional"]:
      ensure => directory,
      owner => "root", group => "root", mode => "755"
    }

     mount { "/backup":
         atboot   => false,
         device   => "/dev/mapper/backup-crypto",
         ensure   => mounted,
         fstype   => "ext3",
         remounts => false,
         options  => "rw,suid,dev,exec,noauto,nouser,async",
	require => file["/backup"],
     }

}

node evo {
    include test_class
    include utile-cli

    debproxy::activateclient { dist:
       debproxyhost => "debproxy",
    }

    include debproxy::server
}

node impreso {

    include test_class
    include utile-cli

    debproxy::activateclient { dist:
       debproxyhost => "debproxy-ubuntu",
    }
}

node impresion-bog {

    include test_class
    include utile-cli

    debproxy::activateclient { dist:
       debproxyhost => "debproxy-ubuntu",
    }
}

